Node.ChildInfo (Jasper Internal API Documentation)
Keywords: org.apache.jasper.compiler.Node.ChildInfo class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class Node.ChildInfo

    java.lang.Object
      org.apache.jasper.compiler.Node.ChildInfo

Enclosing class:
  org.apache.jasper.compiler.Node

public static class Node.ChildInfo
extends java.lang.Object

Collected information about child elements. Used by nodes like CustomTag, JspBody, and NamedAttribute. The information is set in the Collector.

Constructor Summary
`Node.ChildInfo()`

Method Summary
`boolean` | `hasIncludeAction()`
`boolean` | `hasParamAction()`
`boolean` | `hasScriptingVars()`
`boolean` | `hasSetProperty()`
`boolean` | `hasUseBean()`
`boolean` | `isScriptless()`
`void` | `setHasIncludeAction(boolean i)`
`void` | `setHasParamAction(boolean i)`
`void` | `setHasScriptingVars(boolean s)`
`void` | `setHasSetProperty(boolean s)`
`void` | `setHasUseBean(boolean u)`
`void` | `setScriptless(boolean s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Node.ChildInfo

    public Node.ChildInfo()

Method Detail

### setScriptless

    public void setScriptless(boolean s)

### isScriptless

    public boolean isScriptless()

### setHasUseBean

    public void setHasUseBean(boolean u)

### hasUseBean

    public boolean hasUseBean()

### setHasIncludeAction

    public void setHasIncludeAction(boolean i)

### hasIncludeAction

    public boolean hasIncludeAction()

### setHasParamAction

    public void setHasParamAction(boolean i)

### hasParamAction

    public boolean hasParamAction()

### setHasSetProperty

    public void setHasSetProperty(boolean s)

### hasSetProperty

    public boolean hasSetProperty()

### setHasScriptingVars

    public void setHasScriptingVars(boolean s)

### hasScriptingVars

    public boolean hasScriptingVars()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.